QueryConfigService.MethodAuthorizer (Apache Geode 1.15.4)

org.apache.geode.cache.query.management.configuration

## Class QueryConfigService.MethodAuthorizer

- java.lang.Object
- - org.apache.geode.cache.query.management.configuration.QueryConfigService.MethodAuthorizer

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    QueryConfigService

      public static class QueryConfigService.MethodAuthorizer
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="parameter" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="parameter-value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="class-name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `QueryConfigService.MethodAuthorizer.Parameter` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `className`
    `protected List<QueryConfigService.MethodAuthorizer.Parameter>` | `parameter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodAuthorizer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()` Gets the value of the className property.
    `List<QueryConfigService.MethodAuthorizer.Parameter>` | `getParameters()` Gets the value of the parameter property.
    `void` | `setClassName(String value)` Sets the value of the className property.
    `void` | `setParameters(List<QueryConfigService.MethodAuthorizer.Parameter> parameters)` Sets the value of the parameter property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parameter

          protected List<QueryConfigService.MethodAuthorizer.Parameter> parameter

    - #### className

          protected String className

  - ### Constructor Detail

    - #### MethodAuthorizer

          public MethodAuthorizer()

  - ### Method Detail

    - #### getParameters

          public List<QueryConfigService.MethodAuthorizer.Parameter> getParameters()

      Gets the value of the parameter property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object.

      For example, to add a new item, do as follows:

           getParameters().add(newItem);

      Objects of the following type(s) are allowed in the list `QueryConfigService.MethodAuthorizer.Parameter`

      Returns:
        the value of the parameter property

    - #### setParameters

          public void setParameters(List<QueryConfigService.MethodAuthorizer.Parameter> parameters)

      Sets the value of the parameter property.

      Objects of the following type(s) are allowed in the list `QueryConfigService.MethodAuthorizer.Parameter`

      Parameters:
        `parameters` - the value of the parameter property

    - #### getClassName

          public String getClassName()

      Gets the value of the className property. possible object is `String`
      Returns:
        the value of the className property

    - #### setClassName

          public void setClassName(String value)

      Sets the value of the className property. allowed object is `String`
      Parameters:
        `value` - the value of the className property